<?php

  $bookstore_exhibition_color_palette_css = '';

	// Global Color

	$bookstore_exhibition_first_color = bookstore_exhibition_get_option('bookstore_exhibition_first_color');
	$bookstore_exhibition_second_color = bookstore_exhibition_get_option('bookstore_exhibition_second_color');
	$bookstore_exhibition_third_color = bookstore_exhibition_get_option('bookstore_exhibition_third_color');

	if($bookstore_exhibition_first_color != false){
		$bookstore_exhibition_color_palette_css .=':root {';
			$bookstore_exhibition_color_palette_css .='--primary-color: '.esc_attr($bookstore_exhibition_first_color).'!important;';
			$bookstore_exhibition_color_palette_css .='--secondary-color: '.esc_attr($bookstore_exhibition_second_color).'!important;';
			$bookstore_exhibition_color_palette_css .='--tertiary-color: '.esc_attr($bookstore_exhibition_third_color).'!important;';
		$bookstore_exhibition_color_palette_css .='}';
	}

  /*-------------- Copyright Text Align-------------------*/

	$bookstore_exhibition_copyright_text_align = bookstore_exhibition_get_option('bookstore_exhibition_copyright_text_align');
	$bookstore_exhibition_color_palette_css .='.site-footer{';
	$bookstore_exhibition_color_palette_css .='text-align: '.esc_attr($bookstore_exhibition_copyright_text_align).' !important;';
	$bookstore_exhibition_color_palette_css .='}';
	$bookstore_exhibition_color_palette_css .='
	@media screen and (max-width:575px) {
	.site-footer{';
	$bookstore_exhibition_color_palette_css .='text-align: center !important;';
	$bookstore_exhibition_color_palette_css .='} }';

  // copyright font size
	$bookstore_exhibition_copyright_text_font_size = bookstore_exhibition_get_option('bookstore_exhibition_copyright_text_font_size');
	$bookstore_exhibition_color_palette_css .='#colophon p, #colophon a , #colophon{';
	$bookstore_exhibition_color_palette_css .='font-size: '.esc_attr($bookstore_exhibition_copyright_text_font_size).'px;';
	$bookstore_exhibition_color_palette_css .='}';

	// Copyright Background Color
	$bookstore_exhibition_copyright_background_color = bookstore_exhibition_get_option('bookstore_exhibition_copyright_background_color');
	$bookstore_exhibition_color_palette_css .='#colophon {';
	$bookstore_exhibition_color_palette_css .='background: '.esc_attr($bookstore_exhibition_copyright_background_color);
	$bookstore_exhibition_color_palette_css .='}';

	// Copyright Text Color
	$bookstore_exhibition_copyright_text_color = bookstore_exhibition_get_option('bookstore_exhibition_copyright_text_color');
	$bookstore_exhibition_color_palette_css .='#colophon a , #colophon{';
	$bookstore_exhibition_color_palette_css .='color: '.esc_attr($bookstore_exhibition_copyright_text_color);
	$bookstore_exhibition_color_palette_css .='}';

	// Site title And tagline Option
	$bookstore_exhibition_site_title_font_size = bookstore_exhibition_get_option('bookstore_exhibition_site_title_font_size');
	$bookstore_exhibition_site_title_color = bookstore_exhibition_get_option('bookstore_exhibition_site_title_color');
	$bookstore_exhibition_color_palette_css .='.site-title>a , .site-title {';
		$bookstore_exhibition_color_palette_css .='font-size: '.esc_attr($bookstore_exhibition_site_title_font_size).'px;';
		$bookstore_exhibition_color_palette_css .='color: '.esc_attr($bookstore_exhibition_site_title_color).';';
	$bookstore_exhibition_color_palette_css .='}';
	
	$bookstore_exhibition_site_tagline_font_size = bookstore_exhibition_get_option('bookstore_exhibition_site_tagline_font_size');
	if($bookstore_exhibition_site_tagline_font_size != false){
		$bookstore_exhibition_color_palette_css .='.site-description {';
			$bookstore_exhibition_color_palette_css .='font-size: '.esc_attr($bookstore_exhibition_site_tagline_font_size).'px;';
		$bookstore_exhibition_color_palette_css .='}';
	}

	// Sticky Copyright

	$bookstore_exhibition_resp_stickycopyright = bookstore_exhibition_get_option( 'bookstore_exhibition_stickycopyright_hide_show',false);
    if($bookstore_exhibition_resp_stickycopyright == true && bookstore_exhibition_get_option( 'bookstore_exhibition_copyright_sticky',false) != true){
        $bookstore_exhibition_color_palette_css  .='.copyright-sticky{';
            $bookstore_exhibition_color_palette_css  .='position:static;';
        $bookstore_exhibition_color_palette_css  .='} ';
    }